# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.31

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/milkwx3/workspace/RCRAFT-MINEVOX

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/milkwx3/workspace/RCRAFT-MINEVOX

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool..."
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Run CPack packaging tool for source..."
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/milkwx3/workspace/RCRAFT-MINEVOX/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(CMAKE_COMMAND) -E cmake_progress_start /home/milkwx3/workspace/RCRAFT-MINEVOX/CMakeFiles /home/milkwx3/workspace/RCRAFT-MINEVOX/helpers//CMakeFiles/progress.marks
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 helpers/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/milkwx3/workspace/RCRAFT-MINEVOX/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 helpers/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 helpers/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 helpers/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
helpers/CMakeFiles/helpers.dir/rule:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 helpers/CMakeFiles/helpers.dir/rule
.PHONY : helpers/CMakeFiles/helpers.dir/rule

# Convenience name for target.
helpers: helpers/CMakeFiles/helpers.dir/rule
.PHONY : helpers

# fast build rule for target.
helpers/fast:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/build
.PHONY : helpers/fast

chunks.o: chunks.cpp.o
.PHONY : chunks.o

# target to build an object file
chunks.cpp.o:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/chunks.cpp.o
.PHONY : chunks.cpp.o

chunks.i: chunks.cpp.i
.PHONY : chunks.i

# target to preprocess a source file
chunks.cpp.i:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/chunks.cpp.i
.PHONY : chunks.cpp.i

chunks.s: chunks.cpp.s
.PHONY : chunks.s

# target to generate assembly for a file
chunks.cpp.s:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/chunks.cpp.s
.PHONY : chunks.cpp.s

debug.o: debug.cpp.o
.PHONY : debug.o

# target to build an object file
debug.cpp.o:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/debug.cpp.o
.PHONY : debug.cpp.o

debug.i: debug.cpp.i
.PHONY : debug.i

# target to preprocess a source file
debug.cpp.i:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/debug.cpp.i
.PHONY : debug.cpp.i

debug.s: debug.cpp.s
.PHONY : debug.s

# target to generate assembly for a file
debug.cpp.s:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/debug.cpp.s
.PHONY : debug.cpp.s

entities.o: entities.cpp.o
.PHONY : entities.o

# target to build an object file
entities.cpp.o:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/entities.cpp.o
.PHONY : entities.cpp.o

entities.i: entities.cpp.i
.PHONY : entities.i

# target to preprocess a source file
entities.cpp.i:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/entities.cpp.i
.PHONY : entities.cpp.i

entities.s: entities.cpp.s
.PHONY : entities.s

# target to generate assembly for a file
entities.cpp.s:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/entities.cpp.s
.PHONY : entities.cpp.s

input.o: input.cpp.o
.PHONY : input.o

# target to build an object file
input.cpp.o:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/input.cpp.o
.PHONY : input.cpp.o

input.i: input.cpp.i
.PHONY : input.i

# target to preprocess a source file
input.cpp.i:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/input.cpp.i
.PHONY : input.cpp.i

input.s: input.cpp.s
.PHONY : input.s

# target to generate assembly for a file
input.cpp.s:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/input.cpp.s
.PHONY : input.cpp.s

menu.o: menu.cpp.o
.PHONY : menu.o

# target to build an object file
menu.cpp.o:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/menu.cpp.o
.PHONY : menu.cpp.o

menu.i: menu.cpp.i
.PHONY : menu.i

# target to preprocess a source file
menu.cpp.i:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/menu.cpp.i
.PHONY : menu.cpp.i

menu.s: menu.cpp.s
.PHONY : menu.s

# target to generate assembly for a file
menu.cpp.s:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/menu.cpp.s
.PHONY : menu.cpp.s

mesher.o: mesher.cpp.o
.PHONY : mesher.o

# target to build an object file
mesher.cpp.o:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/mesher.cpp.o
.PHONY : mesher.cpp.o

mesher.i: mesher.cpp.i
.PHONY : mesher.i

# target to preprocess a source file
mesher.cpp.i:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/mesher.cpp.i
.PHONY : mesher.cpp.i

mesher.s: mesher.cpp.s
.PHONY : mesher.s

# target to generate assembly for a file
mesher.cpp.s:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/mesher.cpp.s
.PHONY : mesher.cpp.s

networking.o: networking.cpp.o
.PHONY : networking.o

# target to build an object file
networking.cpp.o:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/networking.cpp.o
.PHONY : networking.cpp.o

networking.i: networking.cpp.i
.PHONY : networking.i

# target to preprocess a source file
networking.cpp.i:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/networking.cpp.i
.PHONY : networking.cpp.i

networking.s: networking.cpp.s
.PHONY : networking.s

# target to generate assembly for a file
networking.cpp.s:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/networking.cpp.s
.PHONY : networking.cpp.s

utils.o: utils.cpp.o
.PHONY : utils.o

# target to build an object file
utils.cpp.o:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/utils.cpp.o
.PHONY : utils.cpp.o

utils.i: utils.cpp.i
.PHONY : utils.i

# target to preprocess a source file
utils.cpp.i:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/utils.cpp.i
.PHONY : utils.cpp.i

utils.s: utils.cpp.s
.PHONY : utils.s

# target to generate assembly for a file
utils.cpp.s:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(MAKE) $(MAKESILENT) -f helpers/CMakeFiles/helpers.dir/build.make helpers/CMakeFiles/helpers.dir/utils.cpp.s
.PHONY : utils.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... helpers"
	@echo "... chunks.o"
	@echo "... chunks.i"
	@echo "... chunks.s"
	@echo "... debug.o"
	@echo "... debug.i"
	@echo "... debug.s"
	@echo "... entities.o"
	@echo "... entities.i"
	@echo "... entities.s"
	@echo "... input.o"
	@echo "... input.i"
	@echo "... input.s"
	@echo "... menu.o"
	@echo "... menu.i"
	@echo "... menu.s"
	@echo "... mesher.o"
	@echo "... mesher.i"
	@echo "... mesher.s"
	@echo "... networking.o"
	@echo "... networking.i"
	@echo "... networking.s"
	@echo "... utils.o"
	@echo "... utils.i"
	@echo "... utils.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/milkwx3/workspace/RCRAFT-MINEVOX && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

